curl --request POST \
--url https://api.crosoftware.com/v0/customers/{customer_id}/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"country": "<string>",
"is_billing": true,
"is_shipping": true,
"latitude": "<string>",
"line_1": "<string>",
"locality": "<string>",
"longitude": "<string>",
"postcode": "<string>",
"region": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"line_4": "<string>"
}
'import requests
url = "https://api.crosoftware.com/v0/customers/{customer_id}/addresses"
payload = {
"country": "<string>",
"is_billing": True,
"is_shipping": True,
"latitude": "<string>",
"line_1": "<string>",
"locality": "<string>",
"longitude": "<string>",
"postcode": "<string>",
"region": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"line_4": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
country: '<string>',
is_billing: true,
is_shipping: true,
latitude: '<string>',
line_1: '<string>',
locality: '<string>',
longitude: '<string>',
postcode: '<string>',
region: '<string>',
line_2: '<string>',
line_3: '<string>',
line_4: '<string>'
})
};
fetch('https://api.crosoftware.com/v0/customers/{customer_id}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.crosoftware.com/v0/customers/{customer_id}/addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country' => '<string>',
'is_billing' => true,
'is_shipping' => true,
'latitude' => '<string>',
'line_1' => '<string>',
'locality' => '<string>',
'longitude' => '<string>',
'postcode' => '<string>',
'region' => '<string>',
'line_2' => '<string>',
'line_3' => '<string>',
'line_4' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.crosoftware.com/v0/customers/{customer_id}/addresses"
payload := strings.NewReader("{\n \"country\": \"<string>\",\n \"is_billing\": true,\n \"is_shipping\": true,\n \"latitude\": \"<string>\",\n \"line_1\": \"<string>\",\n \"locality\": \"<string>\",\n \"longitude\": \"<string>\",\n \"postcode\": \"<string>\",\n \"region\": \"<string>\",\n \"line_2\": \"<string>\",\n \"line_3\": \"<string>\",\n \"line_4\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.crosoftware.com/v0/customers/{customer_id}/addresses")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"country\": \"<string>\",\n \"is_billing\": true,\n \"is_shipping\": true,\n \"latitude\": \"<string>\",\n \"line_1\": \"<string>\",\n \"locality\": \"<string>\",\n \"longitude\": \"<string>\",\n \"postcode\": \"<string>\",\n \"region\": \"<string>\",\n \"line_2\": \"<string>\",\n \"line_3\": \"<string>\",\n \"line_4\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.crosoftware.com/v0/customers/{customer_id}/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"country\": \"<string>\",\n \"is_billing\": true,\n \"is_shipping\": true,\n \"latitude\": \"<string>\",\n \"line_1\": \"<string>\",\n \"locality\": \"<string>\",\n \"longitude\": \"<string>\",\n \"postcode\": \"<string>\",\n \"region\": \"<string>\",\n \"line_2\": \"<string>\",\n \"line_3\": \"<string>\",\n \"line_4\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"country": "<string>",
"id": 123,
"is_active": true,
"is_billing": true,
"is_physical": true,
"is_shipping": true,
"latitude": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"line_4": "<string>",
"locality": "<string>",
"longitude": "<string>",
"postcode": "<string>",
"region": "<string>"
}Add Address
Create a new customer address.
curl --request POST \
--url https://api.crosoftware.com/v0/customers/{customer_id}/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"country": "<string>",
"is_billing": true,
"is_shipping": true,
"latitude": "<string>",
"line_1": "<string>",
"locality": "<string>",
"longitude": "<string>",
"postcode": "<string>",
"region": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"line_4": "<string>"
}
'import requests
url = "https://api.crosoftware.com/v0/customers/{customer_id}/addresses"
payload = {
"country": "<string>",
"is_billing": True,
"is_shipping": True,
"latitude": "<string>",
"line_1": "<string>",
"locality": "<string>",
"longitude": "<string>",
"postcode": "<string>",
"region": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"line_4": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
country: '<string>',
is_billing: true,
is_shipping: true,
latitude: '<string>',
line_1: '<string>',
locality: '<string>',
longitude: '<string>',
postcode: '<string>',
region: '<string>',
line_2: '<string>',
line_3: '<string>',
line_4: '<string>'
})
};
fetch('https://api.crosoftware.com/v0/customers/{customer_id}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.crosoftware.com/v0/customers/{customer_id}/addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country' => '<string>',
'is_billing' => true,
'is_shipping' => true,
'latitude' => '<string>',
'line_1' => '<string>',
'locality' => '<string>',
'longitude' => '<string>',
'postcode' => '<string>',
'region' => '<string>',
'line_2' => '<string>',
'line_3' => '<string>',
'line_4' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.crosoftware.com/v0/customers/{customer_id}/addresses"
payload := strings.NewReader("{\n \"country\": \"<string>\",\n \"is_billing\": true,\n \"is_shipping\": true,\n \"latitude\": \"<string>\",\n \"line_1\": \"<string>\",\n \"locality\": \"<string>\",\n \"longitude\": \"<string>\",\n \"postcode\": \"<string>\",\n \"region\": \"<string>\",\n \"line_2\": \"<string>\",\n \"line_3\": \"<string>\",\n \"line_4\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.crosoftware.com/v0/customers/{customer_id}/addresses")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"country\": \"<string>\",\n \"is_billing\": true,\n \"is_shipping\": true,\n \"latitude\": \"<string>\",\n \"line_1\": \"<string>\",\n \"locality\": \"<string>\",\n \"longitude\": \"<string>\",\n \"postcode\": \"<string>\",\n \"region\": \"<string>\",\n \"line_2\": \"<string>\",\n \"line_3\": \"<string>\",\n \"line_4\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.crosoftware.com/v0/customers/{customer_id}/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"country\": \"<string>\",\n \"is_billing\": true,\n \"is_shipping\": true,\n \"latitude\": \"<string>\",\n \"line_1\": \"<string>\",\n \"locality\": \"<string>\",\n \"longitude\": \"<string>\",\n \"postcode\": \"<string>\",\n \"region\": \"<string>\",\n \"line_2\": \"<string>\",\n \"line_3\": \"<string>\",\n \"line_4\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"country": "<string>",
"id": 123,
"is_active": true,
"is_billing": true,
"is_physical": true,
"is_shipping": true,
"latitude": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"line_4": "<string>",
"locality": "<string>",
"longitude": "<string>",
"postcode": "<string>",
"region": "<string>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Path Parameters
Customer identifier.
Body
Customer address.
Country code (ISO 3166-1 alpha 2).
If true, this is the customer's billing address.
Customer's shipping address if true.
Latitude.
Street address.
Address locality (e.g. city).
longitude.
Postal code (may include letters and symbols).
Address region (e.g. state).
Street address line 2.
Street address line 3.
Street address line 4 (doubles as county).
Response
Success
Customer address.
Country code (ISO 3166-1 alpha 2).
Customer address identifier.
Records marked inactive are treated as deleted (soft delete).
If true, this is the customer's billing address.
Physical address if true.
Customer's shipping address if true.
Latitude.
Street address.
Street address line 2.
Street address line 3.
Street address line 4 (doubles as county).
Address locality (e.g. city).
longitude.
Postal code (may include letters and symbols).
Address region (e.g. state).